// adc.h
/*----------------------------------------------------------------------*/
/*! \file 
--------------------------------------------------------------------------

  	<h3> adc.C </h3>
  	Version	1.0<br>
  	Revision	$Revision: 1.4 $<br>
 	Copyright 	Thomas Wedemeyer, Email: avr@thomas-wedemeyer.de<br> 
  	Datum		$Date<br>

	<h1>ADC-Functions for IO-Interface for the Linksys WRT54 
	with Atmel AVR ATMega8</h1>  

/*----------------------------------------------------------------------*/

#ifndef ADC_H
#define ADC_H



/*----------------------------------------------------------------------*/
//	Definitions
/*----------------------------------------------------------------------*/
#define SAMPLECOUNTER	10		//!< Used samples for the meanvalue

/*----------------------------------------------------------------------*/
//	Funktionsprototypen
/*----------------------------------------------------------------------*/

/*----------------------------------------------------------------------*/
//!	Init of the adc-hardware
//! @brief 10Bit  115KHz ADCClk at 7.372MHz
/*----------------------------------------------------------------------*/
void init_adc();


/*----------------------------------------------------------------------*/
//!	Get one sample from the adc
//! @param	channel => sampled channel
//! @return	value of the channel
/*----------------------------------------------------------------------*/
uint16_t sample_adc(uint8_t channel);

/*----------------------------------------------------------------------*/
//!	Get the meanvalue of 10 samples
//! @param	channel => sampled channel
//! @return	meanvalue of the channel
/*----------------------------------------------------------------------*/
uint16_t meansample_adc(uint8_t channel);

#endif
