// command.h
/*----------------------------------------------------------------------*/
/*! \file 
--------------------------------------------------------------------------

  	<h3> Command.h </h3>
  	Version	1.0<br>
  	Revision	$Revision: 1.4 $<br>
 	Copyright 	Thomas Wedemeyer, Email: avr@thomas-wedemeyer.de<br> 
  	Datum		$Date<br>

	<h1>Kommandointerface for IO-Interface for The Linksys WRT54 
	with Atmel AVR ATMega8</h1>  

/*----------------------------------------------------------------------*/

#ifndef COMMAND_H
#define COMMAND_H

/*----------------------------------------------------------------------*/
//! Simple Command-Parser
/*----------------------------------------------------------------------*/
void command();



/*----------------------------------------------------------------------*/
//! Set Relais
//! @param	ptr	Pointer to command-string
/*----------------------------------------------------------------------*/
void set_relais( uint8_t *ptr);

/*----------------------------------------------------------------------*/
//! Read digital Input
//! @param	ptr	Pointer to command-string
/*----------------------------------------------------------------------*/
void get_input( uint8_t *ptr);

/*----------------------------------------------------------------------*/
//! Print String on the LCD at a defined position
//! @param	ptr	Pointer to command-string
/*----------------------------------------------------------------------*/
void print2lcd(uint8_t *ptr);

/*----------------------------------------------------------------------*/
//! Write a commandcode to the display
//! @brief Commandsequence is transmitted as dezimal numbers separated by ","  
//! @param	ptr	Pointer to command-string
/*----------------------------------------------------------------------*/
void write_displaycmd(uint8_t *ptr);

/*----------------------------------------------------------------------*/
//! Get Values from the analog port
//! @param	ptr	Pointer to command-string
/*----------------------------------------------------------------------*/
void get_analogvalue( uint8_t *ptr);

#endif
