// init.c
/*----------------------------------------------------------------------*/
/*! \file 
/*----------------------------------------------------------------------*/
/*
  	<h3> Init.C </h3>
  	Version	1.0<br>
  	Revision	$Revision: 1.4 $<br>
 	Copyright 	Thomas Wedemeyer, Email: avr@thomas-wedemeyer.de<br> 
  	Datum		$Date<br>

	<h1>IO-Interface for The Linksys WRT54 with Atmel AVR ATMega8</h1>  

/*----------------------------------------------------------------------*/

#include <stdlib.h>
#include <stdio.h>
#include <inttypes.h>
#include <avr/io.h>
#include <avr/interrupt.h>
#include <avr/signal.h>
#include "pin.h"
#include "uart.h"
#include "lcd.h"
#include "adc.h"




/*----------------------------------------------------------------------*/
//! @brief Initialisierung der benutzen Hardware
/*----------------------------------------------------------------------*/
void init_hw(void)
{
	// Setzen der Portregister
	DDRB = DDRB_INIT;
	PORTB = PORTB_INIT;
	DDRC = DDRC_INIT;
	PORTC = PORTC_INIT;
	DDRD = DDRD_INIT;
	PORTD = PORTD_INIT;

	init_uart();
	lcd_init();
	init_adc();
}
