// main.c
/*----------------------------------------------------------------------*/
/*! \file 
--------------------------------------------------------------------------

  	<h3> MAIN.C </h3>
  	Version	1.0<br>
  	Revision	$Revision: 1.4 $<br>
 	Copyright 	Thomas Wedemeyer, Email: avr@thomas-wedemeyer.de<br> 
  	Datum		$Date<br>

	<h1>IO-Interface for The Linksys WRT54 with Atmel AVR ATMega8</h1>  

/*----------------------------------------------------------------------*/

#include <stdlib.h>
#include <stdio.h>
#include <inttypes.h>
#include <avr/pgmspace.h>
#include <avr/io.h>
#include <avr/interrupt.h>
#include <avr/signal.h>
#include <avr/delay.h>
#include "pin.h"
#include "init.h"
#include "uart.h"
#include "command.h"
#include "lcd.h"

const char ok_msg[] PROGMEM = "OK\r\n";
const char error_msg[] PROGMEM = "ERROR\r\n";

/*----------------------------------------------------------------------*/
//! @brief Hauptroutine
/*----------------------------------------------------------------------*/
int main()
{

	// Init Hardware
	init_hw();

	// Enable IRQ
	sei();

	// Startmessage
	_writePString (PSTR("!WRT54-IO-Interface V1.0\r\n!(c) Thomas Wedemeyer, 2006\r\n!www.thomas-wedemeyer.de\r\n"));
	_writePString (PSTR("!Build: " __DATE__ " " __TIME__ "\r\n"));

	//LCD-Test
	print_lcd(0,0, "WRT-IO-Interface");
	print_lcd(0,1,  __DATE__ );
//	print_lcd(0,2,  __TIME__ );
//	print_lcd(0,3,  __FILE__ );

	// Main Loop!
	for(;;)
	{
		
		if(uart_newdata())
		{
			command();
		}
	}
}
