// pin.h
/*----------------------------------------------------------------------*/
/*! \file 
--------------------------------------------------------------------------

  	<h3> Pin.h </h3>
  	Version	1.0<br>
  	Revision	$Revision: 1.4 $<br>
 	Copyright 	Thomas Wedemeyer, Email: avr@thomas-wedemeyer.de<br> 
  	Datum		$Date<br>

	<h1>IO-Interface for The Linksys WRT54 with Atmel AVR ATMega8</h1>  

/*----------------------------------------------------------------------*/

#ifndef PIN_H
#define PIN_H

/*----------------------------------------------------------------------*/
//!	Port PA gibt es nicht...
/*----------------------------------------------------------------------*/
	

/*----------------------------------------------------------------------*/
//!	Port PB
/*----------------------------------------------------------------------*/
#define DDRB_INIT	0xFF		//!< DDR_B -> OOOOOOOO
#define PORTB_INIT	0x00		//!< PORTB -> 00000000
#define	LCD_D4		0x01		//!< LCD Data PB0
#define	LCD_D5		0x02		//!< LCD Data	(PB1)
#define	LCD_D6		0x04		//!< LCD Data (PB2)
#define	LCD_D7		0x08		//!< LCD Data (PB3)
#define LCD_E		0x10		//!< LCD Enable (PB4)
#define LCD_RS		0x20		//!< LCD RS (PB5)

#define LCDPORT 	PORTB		//!< Port connected to LCD

/*----------------------------------------------------------------------*/
//!	Port PC
/*----------------------------------------------------------------------*/
#define DDRC_INIT	0x00		//!< DDR_C -> IIIIIIII
#define PORTC_INIT	0xFF		//!< PORTC -> 11111111
#define	INPUT_2		0x01		//!< Externer Eingang 0 PC0
#define	INPUT_2		0x02		//!< Externer Eingang 0 PC1
#define	ANALOG_0	0x04		//!< Analoger Eingang PC2
#define	ANALOG_1	0x08		//!< Analoger Eingang PC3
#define	I2C_SDA		0x10		//!< I2C SDA PC4
#define I2C_SCL		0x20		//!< I2C SCL PC5

// Analog 6 / 7
#define ANALOG_2	0x00		//!< Konfigurationsbit 2 (PA6)
#define ANALOG_3	0x80		//!< Konfigurationsbit 1 (PA7)


/*----------------------------------------------------------------------*/
//!	Port PD
/*----------------------------------------------------------------------*/
#define DDRD_INIT	0xF0		//!< DDR_D -> OOOOIIII
#define PORTD_INIT	0x00		//!< PORTD -> 00000000
//RX 
//TX
#define	INPUT_0		0x04		//!< Eingang 0 (PB2)
#define	INPUT_1		0x08		//!< Eingang 1 	(PD3)
#define	REL1		0x10		//!< Relais 0 (PD4)
#define	REL2		0x20		//!< Relais 1 (PD5)
#define	REL3		0x40		//!< Relais 2 (PD6)
#define	REL4		0x80		//!< Relais 3 (PD7)


#endif
